#ifndef MDD_MODULESQL_H
#define MDD_MODULESQL_H
#include "ModuleBase.h"
#include <iostream>
#include <string>
#include <sqlite3.h>

namespace mdd {
	class ModuleSQL : public ModuleBase {
	private:
		sqlite3* _db;
		std::string _tbname;
		void erase_keyword(std::string& str, std::string key);
		struct _entity {
			std::string key;
			std::string type;
		};
		std::vector<_entity> _content;

	public:
		ModuleSQL(std::string dbname);
		~ModuleSQL();
		state update() override;
	};
}


#endif